Authenticate with an API key
Endpoints that require a signed-in user also accept a personal API key. Create one under Account → API keys, then send it in thex-api-key header. The key is shown only once when it is created.
curl -H "x-api-key: jii_..." https://<backend-host>/api/v1/experiments- Keys act as the user who created them and have that user's permissions.
- Missing or revoked keys return 401; malformed keys return 403.
- Each key is rate limited to 100 requests per minute by default.
- Keys may expire and can be revoked immediately from the API keys tab.
- Keys are stored hashed; treat them like passwords and rotate leaked keys.
/api/v1/experimentsQuery Parameters
Deprecated alias for scope=related
Value in
- "member"
Which slice of the accessible set to return
Value in
- "related"
- "all"
Filter experiments by their status
Value in
- "active"
- "stale"
- "archived"
- "published"
Search term for experiment name
1-based page number
1 <= valueRows per page
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "active", "visibility": "private", "embargoUntil": "2019-08-24T14:15:22Z", "anonymizeContributors": true, "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "ownerFirstName": "string", "ownerLastName": "string", "membersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }]/api/v1/experimentsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "active", "visibility": "private", "embargoUntil": "2019-08-24T14:15:22Z", "anonymizeContributors": true, "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "ownerFirstName": "string", "ownerLastName": "string", "membersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}/api/v1/experiments/{id}Path Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "active", "visibility": "private", "embargoUntil": "2019-08-24T14:15:22Z", "anonymizeContributors": true, "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "ownerFirstName": "string", "ownerLastName": "string", "membersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}/api/v1/experiments/{id}Path Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "active", "visibility": "private", "embargoUntil": "2019-08-24T14:15:22Z", "anonymizeContributors": true, "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "ownerFirstName": "string", "ownerLastName": "string", "membersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}/api/v1/experiments/{id}Path Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/experiments/{id}/accessPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/access"{ "experiment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "active", "visibility": "private", "embargoUntil": "2019-08-24T14:15:22Z", "anonymizeContributors": true, "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "ownerFirstName": "string", "ownerLastName": "string", "membersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "hasAccess": true, "isAdmin": true, "capabilities": { "canContribute": true, "canUpdate": true, "canManage": true, "canShare": true, "canLeave": true, "canTransfer": true }}/api/v1/experiments/{id}/visibilityPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \ -H "Content-Type: application/json" \ -d '{ "visibility": "private" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "visibility": "private"}/api/v1/experiments/{id}/tablesPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/tables"[ { "identifier": "string", "tableType": "static", "displayName": "string", "totalRows": 0, "defaultSortColumn": "string", "errorColumn": "string" }]/api/v1/experiments/{id}/dataPath Parameters
ID of the experiment
uuidQuery Parameters
Page number for pagination
1 <= valueNumber of rows per page
1 <= value <= 100Table name: 'raw_data', 'device', macro UUID, or upload_table_id
Specific columns to fetch. If provided with tableName, fetches full data for these columns only
Column name to order results by
Sort direction for ordering
Value in
- "ASC"
- "DESC"
JSON-encoded array of filter conditions applied as a WHERE clause
JSON-encoded GROUP BY + aggregate functions
Hard cap on returned rows for filtered/aggregated reads. Ignored when page/pageSize are used.
0 <= value <= 100000Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data?tableName=raw_data"[ { "name": "string", "catalog_name": "string", "schema_name": "string", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "page": 0, "pageSize": 0, "totalPages": 0, "totalRows": 0 }]/api/v1/experiments/{id}/data/distinctPath Parameters
ID of the experiment
uuidQuery Parameters
Table to scan
Column whose distinct values to return
1 <= lengthHard cap on returned values (default 200, max 1000).
0 <= value <= 1000Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/distinct?tableName=raw_data&column=string"{ "values": [ "string" ], "truncated": true}/api/v1/experiments/{id}/data/exportsPath Parameters
ID of the experiment
uuidQuery Parameters
Name of the table
Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/exports?tableName=string"{ "exports": [ { "exportId": "85382188-14c3-47fd-b4ab-d4b86ccda514", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "tableName": "string", "format": "csv", "status": "queued", "filePath": "string", "rowCount": 0, "fileSize": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } ]}/api/v1/experiments/{id}/data/exportsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/exports" \ -H "Content-Type: application/json" \ -d '{ "tableName": "string", "format": "csv" }'{ "status": "string"}/api/v1/experiments/{id}/data/exports/{exportId}Path Parameters
ID of the experiment
uuidID of the export
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/exports/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/experiments/{id}/data/uploadsPath Parameters
ID of the experiment
uuidQuery Parameters
uuid1 <= length <= 63Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/uploads"{ "uploads": [ { "uploadId": "string", "experimentId": "string", "uploadTableId": "string", "uploadTableName": "string", "sourceKind": "ambyte", "status": "pending", "fileCount": 0, "rowCount": 0, "createdBy": "string", "createdAt": "string", "completedAt": "string", "errorMessage": "string" } ]}/api/v1/experiments/{id}/data/annotationsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/annotations" \ -H "Content-Type: application/json" \ -d '{ "tableName": "string", "rowId": "string", "annotation": { "type": "comment", "content": { "type": "comment", "text": "string" } } }'{ "rowsAffected": 0}/api/v1/experiments/{id}/data/annotations/bulkPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/annotations/bulk" \ -H "Content-Type: application/json" \ -d '{ "tableName": "string", "rowIds": [ "string" ], "annotation": { "type": "comment", "content": { "type": "comment", "text": "string" } } }'{ "rowsAffected": 0}/api/v1/experiments/{id}/data/annotations/{annotationId}Path Parameters
ID of the experiment
uuidID of the annotation
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/annotations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "content": { "type": "comment", "text": "string" } }'{ "rowsAffected": 0}/api/v1/experiments/{id}/data/annotations/{annotationId}Path Parameters
ID of the experiment
uuidID of the annotation
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/annotations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "rowsAffected": 0}/api/v1/experiments/{id}/data/annotations/bulk-deletePath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/data/annotations/bulk-delete" \ -H "Content-Type: application/json" \ -d '{ "tableName": "string", "rowIds": [ "string" ], "type": "comment" }'{ "rowsAffected": 0}/api/v1/experiments/{id}/locationsPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/locations"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/locationsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/locations" \ -H "Content-Type: application/json" \ -d '{ "locations": [ { "name": "string", "latitude": -90, "longitude": -180 } ] }'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/locationsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/locations" \ -H "Content-Type: application/json" \ -d '{ "locations": [ { "name": "string", "latitude": -90, "longitude": -180 } ] }'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/locations/searchQuery Parameters
1 <= length1 <= value <= 5010Response Body
application/json
curl -X GET "https://example.com/api/v1/locations/search?query=string"[ { "label": "string", "latitude": 0, "longitude": 0, "country": "string", "region": "string", "municipality": "string", "postalCode": "string" }]/api/v1/locations/geocodeQuery Parameters
-90 <= value <= 90-180 <= value <= 180Response Body
application/json
curl -X GET "https://example.com/api/v1/locations/geocode?latitude=-90&longitude=-180"[ { "label": "string", "latitude": 0, "longitude": 0, "country": "string", "region": "string", "municipality": "string", "postalCode": "string" }]/api/v1/experiments/{id}/contributorsPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/contributors"{ "contributors": [ { "userId": "string", "firstName": "string", "lastName": "string", "avatarUrl": "string" } ], "collaboratorCount": 0}/api/v1/experiments/{id}/devicesPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices"[ { "device": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending" }, "addedBy": "e7b73b51-b147-4481-bcc4-0ec1394b652e", "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/devices/{deviceId}Path Parameters
ID of the experiment
uuidID of the device
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/experiments/{id}/metadataPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata"[ { "metadataId": "a8818da3-b42d-457d-a430-da2b99a63c47", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "metadata": { "property1": null, "property2": null }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/metadataPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata" \ -H "Content-Type: application/json" \ -d '{ "metadata": { "name": "string", "columns": [ { "id": "string", "name": "string", "type": "string" } ], "rows": [ { "_id": "string", "property1": null, "property2": null } ], "identifierColumnId": "string", "experimentQuestionId": "string" } }'{ "metadataId": "a8818da3-b42d-457d-a430-da2b99a63c47", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "metadata": { "property1": null, "property2": null }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/metadata/{metadataId}Path Parameters
ID of the experiment
uuidID of the metadata record
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "metadata": { "name": "string", "columns": [ { "id": "string", "name": "string", "type": "string" } ], "rows": [ { "_id": "string", "property1": null, "property2": null } ], "identifierColumnId": "string", "experimentQuestionId": "string" } }'{ "metadataId": "a8818da3-b42d-457d-a430-da2b99a63c47", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "metadata": { "property1": null, "property2": null }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/metadata/{metadataId}Path Parameters
ID of the experiment
uuidID of the metadata record
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/experiments/{id}/flowPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/flow"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "graph": { "nodes": [ { "id": "string", "type": "question", "name": "string", "content": { "kind": "yes_no", "text": "string", "required": false }, "isStart": false, "position": { "x": 0, "y": 0 } } ], "edges": [ { "id": "string", "source": "string", "target": "string", "label": "string", "sourceHandle": "string" } ] }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/flowPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/flow" \ -H "Content-Type: application/json" \ -d '{ "nodes": [ { "id": "string", "type": "question", "name": "string", "content": { "kind": "yes_no", "text": "string" } } ], "edges": [ { "id": "string", "source": "string", "target": "string" } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "graph": { "nodes": [ { "id": "string", "type": "question", "name": "string", "content": { "kind": "yes_no", "text": "string", "required": false }, "isStart": false, "position": { "x": 0, "y": 0 } } ], "edges": [ { "id": "string", "source": "string", "target": "string", "label": "string", "sourceHandle": "string" } ] }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/flowPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/flow" \ -H "Content-Type: application/json" \ -d '{ "nodes": [ { "id": "string", "type": "question", "name": "string", "content": { "kind": "yes_no", "text": "string" } } ], "edges": [ { "id": "string", "source": "string", "target": "string" } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "graph": { "nodes": [ { "id": "string", "type": "question", "name": "string", "content": { "kind": "yes_no", "text": "string", "required": false }, "isStart": false, "position": { "x": 0, "y": 0 } } ], "edges": [ { "id": "string", "source": "string", "target": "string", "label": "string", "sourceHandle": "string" } ] }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/workbook/attachPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workbook/attach" \ -H "Content-Type: application/json" \ -d '{ "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c" }'{ "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "version": 0}/api/v1/experiments/{id}/workbook/detachPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workbook/detach"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "active", "visibility": "private", "embargoUntil": "2019-08-24T14:15:22Z", "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "ownerFirstName": "string", "ownerLastName": "string", "membersCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": { "columns": [ { "name": "string", "type_name": "string", "type_text": "string" } ], "rows": [ { "property1": null, "property2": null } ], "totalRows": 0, "truncated": true }, "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "latitude": -90, "longitude": -180, "country": "string", "region": "string", "municipality": "string", "postalCode": "string", "addressLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}/api/v1/experiments/{id}/workbook/upgradePath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workbook/upgrade"{ "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "version": 0}/api/v1/experiments/{id}/workbook/versionPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workbook/version" \ -H "Content-Type: application/json" \ -d '{ "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7" }'{ "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "workbookVersionId": "4d884985-5ac3-4007-8e9b-7b1d17fd2860", "version": 0}/api/v1/experiments/{id}/dashboardsPath Parameters
ID of the experiment
uuidQuery Parameters
0 <= value <= 100500 <= value0Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboards"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "name": "string", "description": "string", "layout": { "columns": 12, "rowHeight": 80, "gap": 16 }, "widgets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "layout": { "col": 0, "row": 0, "colSpan": 1, "rowSpan": 1 }, "type": "visualization", "config": { "visualizationId": "f1fb5e6b-e1a9-4239-a299-7daa4bf3992d", "showTitle": true, "showDescription": false, "title": "string", "description": "string" } } ], "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/dashboardsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboards" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "name": "string", "description": "string", "layout": { "columns": 12, "rowHeight": 80, "gap": 16 }, "widgets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "layout": { "col": 0, "row": 0, "colSpan": 1, "rowSpan": 1 }, "type": "visualization", "config": { "visualizationId": "f1fb5e6b-e1a9-4239-a299-7daa4bf3992d", "showTitle": true, "showDescription": false, "title": "string", "description": "string" } } ], "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/dashboards/{dashboardId}Path Parameters
ID of the experiment
uuidID of the dashboard
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "name": "string", "description": "string", "layout": { "columns": 12, "rowHeight": 80, "gap": 16 }, "widgets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "layout": { "col": 0, "row": 0, "colSpan": 1, "rowSpan": 1 }, "type": "visualization", "config": { "visualizationId": "f1fb5e6b-e1a9-4239-a299-7daa4bf3992d", "showTitle": true, "showDescription": false, "title": "string", "description": "string" } } ], "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/dashboards/{dashboardId}Path Parameters
ID of the experiment
uuidID of the dashboard
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "name": "string", "description": "string", "layout": { "columns": 12, "rowHeight": 80, "gap": 16 }, "widgets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "layout": { "col": 0, "row": 0, "colSpan": 1, "rowSpan": 1 }, "type": "visualization", "config": { "visualizationId": "f1fb5e6b-e1a9-4239-a299-7daa4bf3992d", "showTitle": true, "showDescription": false, "title": "string", "description": "string" } } ], "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/dashboards/{dashboardId}Path Parameters
ID of the experiment
uuidID of the dashboard
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/experiments/{id}/visualizationsPath Parameters
ID of the experiment
uuidQuery Parameters
Value in
- "basic"
- "scientific"
- "3d"
- "statistical"
0 <= value <= 100500 <= value0Response Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/visualizations"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "chartFamily": "basic", "chartType": "line", "config": { "property1": null, "property2": null }, "dataConfig": { "tableName": "string", "dataSources": [ { "tableName": "string", "columnName": "string", "role": "x", "seriesName": "string", "alias": "string", "traceType": "line", "axis": "primary", "aggregate": "sum", "errorColumn": "string" } ], "filters": [ { "column": "string", "operator": "equals", "value": "string" } ], "aggregation": { "groupBy": [ { "column": "string", "timeBucket": "minute" } ], "functions": [ { "column": "string", "function": "sum", "alias": "string", "secondColumn": "string" } ] } }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/visualizationsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/visualizations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "chartFamily": "basic", "chartType": "line", "dataConfig": { "tableName": "string", "dataSources": [ { "tableName": "string", "columnName": "string", "role": "x" } ] } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "chartFamily": "basic", "chartType": "line", "config": { "property1": null, "property2": null }, "dataConfig": { "tableName": "string", "dataSources": [ { "tableName": "string", "columnName": "string", "role": "x", "seriesName": "string", "alias": "string", "traceType": "line", "axis": "primary", "aggregate": "sum", "errorColumn": "string" } ], "filters": [ { "column": "string", "operator": "equals", "value": "string" } ], "aggregation": { "groupBy": [ { "column": "string", "timeBucket": "minute" } ], "functions": [ { "column": "string", "function": "sum", "alias": "string", "secondColumn": "string" } ] } }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/visualizations/{visualizationId}Path Parameters
ID of the experiment
uuidID of the visualization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/visualizations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "chartFamily": "basic", "chartType": "line", "config": { "property1": null, "property2": null }, "dataConfig": { "tableName": "string", "dataSources": [ { "tableName": "string", "columnName": "string", "role": "x", "seriesName": "string", "alias": "string", "traceType": "line", "axis": "primary", "aggregate": "sum", "errorColumn": "string" } ], "filters": [ { "column": "string", "operator": "equals", "value": "string" } ], "aggregation": { "groupBy": [ { "column": "string", "timeBucket": "minute" } ], "functions": [ { "column": "string", "function": "sum", "alias": "string", "secondColumn": "string" } ] } }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/visualizations/{visualizationId}Path Parameters
ID of the experiment
uuidID of the visualization
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/visualizations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "chartFamily": "basic", "chartType": "line", "dataConfig": { "tableName": "string", "dataSources": [ { "tableName": "string", "columnName": "string", "role": "x" } ] } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "chartFamily": "basic", "chartType": "line", "config": { "property1": null, "property2": null }, "dataConfig": { "tableName": "string", "dataSources": [ { "tableName": "string", "columnName": "string", "role": "x", "seriesName": "string", "alias": "string", "traceType": "line", "axis": "primary", "aggregate": "sum", "errorColumn": "string" } ], "filters": [ { "column": "string", "operator": "equals", "value": "string" } ], "aggregation": { "groupBy": [ { "column": "string", "timeBucket": "minute" } ], "functions": [ { "column": "string", "function": "sum", "alias": "string", "secondColumn": "string" } ] } }, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/visualizations/{visualizationId}Path Parameters
ID of the experiment
uuidID of the visualization
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/visualizations/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/experiments/{id}/join-requestsPath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/experiments/{id}/join-requestsPath Parameters
ID of the experiment
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/join-requests/mePath Parameters
ID of the experiment
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests/me"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/join-requests/{requestId}/approvePath Parameters
ID of the experiment
uuidID of the join request
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/join-requests/{requestId}/rejectPath Parameters
ID of the experiment
uuidID of the join request
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/reject"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/experiments/{id}/join-requests/{requestId}Path Parameters
ID of the experiment
uuidID of the join request
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08"nullcurl -X GET "https://example.com/api/v1/transfer-requests"[ { "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "userEmail": "user@example.com", "sourcePlatform": "string", "projectIdOld": "string", "projectUrlOld": "http://example.com", "status": "pending", "requestedAt": "2019-08-24T14:15:22Z" }]/api/v1/transfer-requestsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/transfer-requests" \ -H "Content-Type: application/json" \ -d '{ "projectIdOld": "string", "projectUrlOld": "http://example.com" }'{ "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "userEmail": "user@example.com", "sourcePlatform": "string", "projectIdOld": "string", "projectUrlOld": "http://example.com", "status": "pending", "requestedAt": "2019-08-24T14:15:22Z"}/api/v1/webhooks/project-transferRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks/project-transfer" \ -H "Content-Type: application/json" \ -d '{ "experiment": { "name": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" } }'{ "success": true, "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "macroId": "ec059dca-f11f-4b38-b136-ad49d8b47afe", "macroFilename": "string", "macroName": "string", "flowId": "ccd52024-9c9c-4751-993a-9d75a778bf9d", "message": "string"}curl -X GET "https://example.com/health/time"{ "utcTimestampMs": 0, "utcTimestampSec": 0, "iso": "string"}curl -X GET "https://example.com/api/v1/iot/credentials"{ "accessKeyId": "string", "secretAccessKey": "string", "sessionToken": "string", "expiration": "2019-08-24T14:15:22Z"}/api/v1/iot/upload-urlRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/iot/upload-url" \ -H "Content-Type: application/json" \ -d '{ "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006" }'{ "uploadUrl": "http://example.com", "key": "string", "expiresAt": "2019-08-24T14:15:22Z"}/api/v1/iot/devices/registryRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/iot/devices/registry" \ -H "Content-Type: application/json" \ -d '{ "thingNames": [ "string" ] }'{ "devices": [ { "thingName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "serialNumber": "string", "deviceType": "multispeq", "status": "pending", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" } ], "success": true}/api/v1/devices/mobileRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/devices/mobile" \ -H "Content-Type: application/json" \ -d '{ "installId": "b233bfe0-f705-4889-ae25-bbc86d012048" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "thingArn": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending", "certificateId": "string", "certificateArn": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}curl -X GET "https://example.com/api/v1/devices"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "thingArn": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending", "certificateId": "string", "certificateArn": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "connectivity": { "connected": true, "lastSeenAt": "2019-08-24T14:15:22Z" } }]/api/v1/devicesRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/devices" \ -H "Content-Type: application/json" \ -d '{ "serialNumber": "string", "deviceType": "multispeq" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "thingArn": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending", "certificateId": "string", "certificateArn": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/devices/monitoringQuery Parameters
date-timedate-timeValue in
- "hour"
- "day"
Response Body
application/json
curl -X GET "https://example.com/api/v1/devices/monitoring?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&bucket=hour"{ "devices": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "lastDataAt": "2019-08-24T14:15:22Z" } ], "throughput": [ { "bucketStart": "2019-08-24T14:15:22Z", "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "count": 0 } ], "events": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "eventType": "string", "eventTimestamp": "2019-08-24T14:15:22Z", "disconnectReason": "string" } ], "pipelineUnavailable": true}/api/v1/devices/bulkRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/devices/bulk" \ -H "Content-Type: application/json" \ -d '{ "devices": [ { "serialNumber": "string" } ], "deviceType": "multispeq" }'{ "devices": [ { "serialNumber": "string", "device": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "thingArn": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending", "certificateId": "string", "certificateArn": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "error": "string" } ], "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "groupError": "string"}/api/v1/devices/{deviceId}Path Parameters
ID of the device
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "thingArn": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending", "certificateId": "string", "certificateArn": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "connectivity": { "connected": true, "lastSeenAt": "2019-08-24T14:15:22Z" }, "capabilities": { "canContribute": true, "canUpdate": true, "canManage": true, "canShare": true, "canLeave": true, "canTransfer": true }}/api/v1/devices/{deviceId}Path Parameters
ID of the device
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/devices/{deviceId}/activityPath Parameters
ID of the device
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/activity"{ "lastDataAt": "2019-08-24T14:15:22Z", "pipelineUnavailable": true}/api/v1/devices/{deviceId}/firmware-historyPath Parameters
uuidQuery Parameters
date-timedate-timeValue in
- "hour"
- "day"
Response Body
application/json
curl -X GET "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/firmware-history?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&bucket=hour"{ "versions": [ { "version": "string", "firstSeen": "2019-08-24T14:15:22Z", "lastSeen": "2019-08-24T14:15:22Z", "count": 0 } ]}/api/v1/devices/{deviceId}/monitoringPath Parameters
uuidQuery Parameters
date-timedate-timeValue in
- "hour"
- "day"
Response Body
application/json
curl -X GET "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/monitoring?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&bucket=hour"{ "bucket": "hour", "events": [ { "eventType": "connected", "eventTimestamp": "2019-08-24T14:15:22Z", "disconnectReason": "string", "sessionIdentifier": "string" } ], "sessions": [ { "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "openStart": true, "durationSeconds": 0, "disconnectReason": "string" } ], "uptimePercent": 0, "truncated": true, "throughput": [ { "bucketStart": "2019-08-24T14:15:22Z", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "count": 0 } ], "battery": [ { "bucketStart": "2019-08-24T14:15:22Z", "averageBattery": 0 } ], "payload": { "totalMeasurements": 0, "withGps": 0, "withBattery": 0, "workbookRuns": 0, "firmwareMix": [ { "version": "string", "count": 0 } ], "protocolMix": [ { "protocolId": "string", "count": 0 } ], "workbookMix": [ { "workbookVersionId": "string", "workbookId": "string", "workbookVersion": 0, "count": 0 } ], "macroMix": [ { "macroId": "string", "count": 0 } ] }, "firmwareHistory": [ { "version": "string", "firstSeen": "2019-08-24T14:15:22Z", "lastSeen": "2019-08-24T14:15:22Z", "count": 0 } ], "recentMeasurements": [ { "timestamp": "2019-08-24T14:15:22Z", "experimentId": "string", "protocolId": "string", "workbookVersionId": "string", "deviceVersion": "string", "battery": 0, "latitude": 0, "longitude": 0, "sample": "string" } ]}/api/v1/devices/{deviceId}/credentialsPath Parameters
ID of the device
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"{ "certificateId": "string", "certificateArn": "string", "certificatePem": "string", "publicKey": "string", "privateKey": "string"}/api/v1/devices/{deviceId}/credentialsPath Parameters
ID of the device
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thingName": "string", "thingArn": "string", "serialNumber": "string", "name": "string", "deviceType": "multispeq", "status": "pending", "certificateId": "string", "certificateArn": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/devices/{deviceId}/credentials/rotatePath Parameters
ID of the device
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/rotate"{ "certificateId": "string", "certificateArn": "string", "certificatePem": "string", "publicKey": "string", "privateKey": "string"}/api/v1/devices/{deviceId}/onboardPath Parameters
ID of the device
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/onboard" \ -H "Content-Type: application/json" \ -d '{}'{ "thingName": "string", "deviceType": "multispeq", "endpoint": "string", "experiments": [ { "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "experimentName": "string", "topicPrefix": "string", "workbookVersion": 0, "procedures": [ { "type": "protocol", "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "name": "string", "family": "multispeq", "code": null } ] } ]}/api/v1/devices/{deviceId}/experimentsPath Parameters
ID of the device
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/experiments"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "active", "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/devices/{deviceId}/experiments/observedPath Parameters
uuidQuery Parameters
date-timedate-timeResponse Body
application/json
curl -X GET "https://example.com/api/v1/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/experiments/observed?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"{ "experiments": [ { "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "count": 0, "lastAt": "2019-08-24T14:15:22Z" } ]}curl -X GET "https://example.com/api/v1/device-groups"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "memberCount": 0 }]/api/v1/device-groupsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/device-groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/device-groups/{groupId}Path Parameters
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "memberCount": 0, "capabilities": { "canContribute": true, "canUpdate": true, "canManage": true, "canShare": true, "canLeave": true, "canTransfer": true }}/api/v1/device-groups/{groupId}Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/device-groups/{groupId}Path Parameters
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/device-groups/{groupId}/onboardPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/onboard" \ -H "Content-Type: application/json" \ -d '{}'{ "devices": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "config": { "thingName": "string", "deviceType": "multispeq", "endpoint": "string", "experiments": [ { "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "experimentName": "string", "topicPrefix": "string", "workbookVersion": 0, "procedures": [ { "type": "protocol", "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "name": "string", "family": "multispeq", "code": null } ] } ] }, "error": "string" } ]}/api/v1/device-groups/{groupId}/credentialsPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials" \ -H "Content-Type: application/json" \ -d '{}'{ "devices": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "thingName": "string", "credentials": { "certificateId": "string", "certificateArn": "string", "certificatePem": "string", "publicKey": "string", "privateKey": "string" }, "error": "string" } ]}/api/v1/device-groups/{groupId}/credentials/rotatePath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/rotate" \ -H "Content-Type: application/json" \ -d '{}'{ "devices": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "thingName": "string", "credentials": { "certificateId": "string", "certificateArn": "string", "certificatePem": "string", "publicKey": "string", "privateKey": "string" }, "error": "string" } ]}/api/v1/device-groups/{groupId}/credentials/revokePath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/revoke" \ -H "Content-Type: application/json" \ -d '{}'{ "devices": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "error": "string" } ]}/api/v1/device-groups/{groupId}/monitoringPath Parameters
uuidQuery Parameters
date-timedate-timeValue in
- "hour"
- "day"
Response Body
application/json
curl -X GET "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/monitoring?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&bucket=hour"{ "members": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "name": "string", "serialNumber": "string", "deviceType": "multispeq", "connectivity": { "connected": true, "lastSeenAt": "2019-08-24T14:15:22Z" }, "lastDataAt": "2019-08-24T14:15:22Z" } ], "throughput": [ { "bucketStart": "2019-08-24T14:15:22Z", "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "count": 0 } ], "dataByExperiment": [ { "bucketStart": "2019-08-24T14:15:22Z", "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "count": 0 } ], "firmware": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "version": "string", "lastSeen": "2019-08-24T14:15:22Z" } ], "events": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "eventType": "string", "eventTimestamp": "2019-08-24T14:15:22Z", "disconnectReason": "string" } ], "pipelineUnavailable": true}/api/v1/device-groups/{groupId}/devicesPath Parameters
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices"[ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "name": "string", "serialNumber": "string", "deviceType": "multispeq", "status": "pending", "connected": true, "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/device-groups/{groupId}/devicesPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices" \ -H "Content-Type: application/json" \ -d '{ "deviceIds": [ "aef9410c-f29d-4a00-9ffe-27d2e2ff353a" ] }'[ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "name": "string", "serialNumber": "string", "deviceType": "multispeq", "status": "pending", "connected": true, "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/device-groups/{groupId}/devices/{deviceId}Path Parameters
uuiduuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/device-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/iot/firmware/{family}/releasesPath Parameters
Value in
- "ambyte"
- "minipar"
- "ambit"
Response Body
application/json
curl -X GET "https://example.com/api/v1/iot/firmware/ambyte/releases"{ "releases": [ { "version": "string", "name": "string", "publishedAt": "2019-08-24T14:15:22Z", "prerelease": true, "latest": true, "notesHtml": "string", "releaseUrl": "http://example.com", "assets": [ { "name": "string", "sizeBytes": 0, "downloadUrl": "http://example.com" } ] } ]}/api/v1/macrosQuery Parameters
Value in
- "python"
- "r"
- "javascript"
Deprecated alias for scope=related
Value in
- "my"
Which slice of the accessible set to return
Value in
- "related"
- "all"
1-based page number
1 <= valueRows per page
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/api/v1/macros"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "filename": "string", "description": "string", "language": "python", "code": "string", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private" }]/api/v1/macrosRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/macros" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "language": "python", "code": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "filename": "string", "description": "string", "language": "python", "code": "string", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private"}curl -X GET "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "filename": "string", "description": "string", "language": "python", "code": "string", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private", "capabilities": { "canContribute": true, "canUpdate": true, "canManage": true, "canShare": true, "canLeave": true, "canTransfer": true }}/api/v1/macros/{id}Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "filename": "string", "description": "string", "language": "python", "code": "string", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private"}curl -X DELETE "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/macros/{id}/visibilityPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \ -H "Content-Type: application/json" \ -d '{ "visibility": "private" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "visibility": "private"}curl -X GET "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08/protocols"[ { "macroId": "ec059dca-f11f-4b38-b136-ad49d8b47afe", "protocol": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "family": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" }, "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/macros/{id}/protocolsPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08/protocols" \ -H "Content-Type: application/json" \ -d '{ "protocolIds": [ "10268364-9429-4b52-90a7-984af446e0a9" ] }'[ { "macroId": "ec059dca-f11f-4b38-b136-ad49d8b47afe", "protocol": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "family": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" }, "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/macros/{id}/protocols/{protocolId}Path Parameters
uuiduuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/macros/{id}/executePath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute" \ -H "Content-Type: application/json" \ -d '{ "data": { "property1": null, "property2": null } }'{ "macro_id": "058c5644-6d89-4487-8893-fd8d698da202", "success": true, "output": { "property1": null, "property2": null }, "error": "string"}/api/v1/macros/execute-batchRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/macros/execute-batch" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "id": "string", "macro_id": "058c5644-6d89-4487-8893-fd8d698da202", "data": { "property1": null, "property2": null } } ] }'{ "success": true, "results": [ { "id": "string", "macro_id": "string", "success": true, "output": { "property1": null, "property2": null }, "error": "string" } ], "errors": [ "string" ]}/api/v1/newsletter/subscribeRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/newsletter/subscribe" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{ "success": true}curl -X GET "https://example.com/api/v1/newsletter/status"{ "status": "subscribed"}curl -X POST "https://example.com/api/v1/newsletter/subscription"{ "status": "subscribed"}curl -X DELETE "https://example.com/api/v1/newsletter/subscription"{ "status": "subscribed"}/api/v1/organizationsQuery Parameters
Name or description substring
length <= 200Response Body
application/json
curl -X GET "https://example.com/api/v1/organizations"{ "organizations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string", "logo": "string", "type": "research_institute", "description": "string", "location": "string", "memberCount": 0, "resourceCount": 0, "visibility": "private", "membershipStatus": "none" } ]}curl -X GET "https://example.com/api/v1/users/me/organizations"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string", "description": "string", "visibility": "private", "role": "owner", "isPersonal": true, "memberCount": 0, "resourceCount": 0 }]/api/v1/organizations/{id}Path Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string", "logo": "string", "type": "research_institute", "description": "string", "website": "string", "location": "string", "visibility": "private", "memberCount": 0, "resourceCount": 0, "createdAt": "2019-08-24T14:15:22Z", "role": "owner", "membershipStatus": "none"}/api/v1/organizations/{id}/resourcesPath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/resources"{ "resources": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "visibility": "private", "updatedAt": "2019-08-24T14:15:22Z", "collaboratorCount": 0, "type": "experiment", "status": "active" } ], "totals": { "experiment": 0, "protocol": 0, "macro": 0, "workbook": 0, "device": 0, "device_group": 0 }}/api/v1/organizations/{id}/membersPath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"{ "members": [ { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string", "role": "string", "joinedAt": "2019-08-24T14:15:22Z" } ]}/api/v1/organizations/{id}/deletion-blockersPath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion-blockers"{ "blockers": [ { "resourceType": "experiment", "count": 0 } ], "total": 0}/api/v1/organizations/{id}/teamsPath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/teams"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "createdAt": "2019-08-24T14:15:22Z", "members": [ { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" } ] }]/api/v1/organizations/{id}/team-grantsPath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/team-grants"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "resourceType": "experiment", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "resourceName": "string", "role": "owner" }]/api/v1/{resourceType}/{id}/grantee-teamsPath Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/grantee-teams"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "memberCount": 0 }]/api/v1/organizations/{id}/join-requestsPath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/organizations/{id}/join-requestsPath Parameters
ID of the organization
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/organizations/{id}/join-requests/mePath Parameters
ID of the organization
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests/me"null/api/v1/organizations/{id}/join-requests/{requestId}Path Parameters
ID of the organization
uuidID of the join request
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/join-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "decision": "approve" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "message": "string", "status": "pending", "decidedBy": "3a741861-b09d-4f52-b451-be998c2bf2d1", "decidedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/protocolsQuery Parameters
Deprecated alias for scope=related
Value in
- "my"
Which slice of the accessible set to return
Value in
- "related"
- "all"
1-based page number
1 <= valueRows per page
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/api/v1/protocols"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "code": null, "family": "multispeq", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private" }]/api/v1/protocolsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/protocols" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "code": "string", "family": "multispeq" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "code": "string", "family": "multispeq", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private"}curl -X GET "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "code": "string", "family": "multispeq", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private", "capabilities": { "canContribute": true, "canUpdate": true, "canManage": true, "canShare": true, "canLeave": true, "canTransfer": true }}/api/v1/protocols/{id}Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "code": "string", "family": "multispeq", "sortOrder": 0, "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private"}curl -X DELETE "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/protocols/{id}/visibilityPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \ -H "Content-Type: application/json" \ -d '{ "visibility": "private" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "visibility": "private"}curl -X GET "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08/macros"[ { "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "macro": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "filename": "string", "language": "python", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" }, "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/protocols/{id}/macrosPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08/macros" \ -H "Content-Type: application/json" \ -d '{ "macroIds": [ "d77edf99-d72c-47c3-a802-2f35a6dc55a7" ] }'[ { "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "macro": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "filename": "string", "language": "python", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" }, "addedAt": "2019-08-24T14:15:22Z" }]/api/v1/protocols/{id}/macros/{macroId}Path Parameters
uuiduuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/protocols/497f6eca-6276-4993-bfeb-53cbbbba6f08/macros/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/searchQuery Parameters
Search term
1 <= length <= 2001 <= value <= 3220Response Body
application/json
curl -X GET "https://example.com/api/v1/search?query=string"{ "results": [ { "type": "experiment", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "subtitle": "string", "meta": "string" } ]}/api/v1/{resourceType}/{id}/collaboratorsPath Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/collaborators"[ { "kind": "owner", "granteeType": "user", "granteeId": "378a1ad2-6491-4618-ae2c-37033309d66a", "organizationName": "string", "grantee": { "type": "user", "displayName": "string", "email": "string", "avatarUrl": "string", "memberCount": 0 }, "inertGrant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "owner" } }]/api/v1/{resourceType}/{id}/collaboratorsPath Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/collaborators" \ -H "Content-Type: application/json" \ -d '{ "granteeType": "user", "granteeId": "378a1ad2-6491-4618-ae2c-37033309d66a" }'[ { "kind": "owner", "granteeType": "user", "granteeId": "378a1ad2-6491-4618-ae2c-37033309d66a", "organizationName": "string", "grantee": { "type": "user", "displayName": "string", "email": "string", "avatarUrl": "string", "memberCount": 0 }, "inertGrant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "owner" } }]/api/v1/{resourceType}/{id}/collaborators/{grantId}Path Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidID of the grant to modify
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/collaborators/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'[ { "kind": "owner", "granteeType": "user", "granteeId": "378a1ad2-6491-4618-ae2c-37033309d66a", "organizationName": "string", "grantee": { "type": "user", "displayName": "string", "email": "string", "avatarUrl": "string", "memberCount": 0 }, "inertGrant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "owner" } }]/api/v1/{resourceType}/{id}/collaborators/{grantId}Path Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidID of the grant to modify
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/collaborators/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/{resourceType}/{id}/collaborators/mePath Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/collaborators/me"null/api/v1/grantee-organizationsQuery Parameters
Name substring to match
Maximum number of organizations to return
1 <= value <= 5020Response Body
application/json
curl -X GET "https://example.com/api/v1/grantee-organizations"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string" }]/api/v1/{resourceType}/{id}/grantee-usersPath Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
- "device"
- "device_group"
ID of the resource being shared
uuidQuery Parameters
Name or email substring to match
Maximum number of users to return
1 <= value <= 5020Response Body
application/json
curl -X GET "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/grantee-users"[ { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string", "organizationRole": "owner", "existingGrantRole": "owner" }]/api/v1/collaborators/transfer-adminRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/collaborators/transfer-admin" \ -H "Content-Type: application/json" \ -d '{ "transfers": [ { "resourceType": "experiment", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "targetUserId": "73727401-c2dc-4b4b-ad9b-350075d6b049" } ] }'{ "results": [ { "resourceType": "experiment", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "success": true, "error": "string" } ]}/api/v1/{resourceType}/{id}/transferPath Parameters
Value in
- "experiment"
- "macro"
- "protocol"
- "workbook"
ID of the resource being transferred
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/experiment/497f6eca-6276-4993-bfeb-53cbbbba6f08/transfer" \ -H "Content-Type: application/json" \ -d '{ "targetOrganizationId": "899c5acf-391e-4605-9778-8e17de811b25" }'{ "resourceType": "experiment", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9"}/api/v1/users/searchQuery Parameters
Search query for name or email
Maximum number of users to return
1 <= value <= 10050Number of users to skip for pagination
0 <= value0Response Body
application/json
curl -X GET "https://example.com/api/v1/users/search"[ { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "firstName": "string", "lastName": "string", "bio": "string", "activated": true, "email": "string", "avatarUrl": "string" }]curl -X GET "https://example.com/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "string", "emailVerified": true, "image": "string", "createdAt": "2019-08-24T14:15:22Z", "registered": true}/api/v1/users/{id}Path Parameters
ID of the user
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/users/profileRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/users/profile" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string" }'{}/api/v1/users/{id}/profilePath Parameters
ID of the user
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/profile"{ "firstName": "string", "lastName": "string", "bio": "string", "activated": true, "avatarUrl": "string"}/api/v1/users/{id}/deletion-blockersPath Parameters
ID of the user
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion-blockers"{ "resources": [ { "resourceType": "experiment", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "active", "candidates": [ { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "firstName": "string", "lastName": "string", "avatarUrl": "string" } ] } ], "organizations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string" } ]}/api/v1/users/metadataRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/users/metadata" \ -H "Content-Type: application/json" \ -d '{ "userIds": [ "string" ] }'{ "users": [ { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "firstName": "string", "lastName": "string", "avatarUrl": "string" } ], "success": true}/api/v1/invitationsQuery Parameters
Value in
- "platform"
- "experiment"
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/invitations?resourceType=platform&resourceId=497f6eca-6276-4993-bfeb-53cbbbba6f08"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "resourceType": "platform", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "email": "user@example.com", "tier": "admin", "status": "pending", "invitedBy": "9803bd85-1570-4d91-99f5-3a4d18ccfff0", "invitedByName": "string", "resourceName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]/api/v1/invitationsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/invitations" \ -H "Content-Type: application/json" \ -d '{ "resourceType": "platform", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "email": "user@example.com" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "resourceType": "platform", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "email": "user@example.com", "tier": "admin", "status": "pending", "invitedBy": "9803bd85-1570-4d91-99f5-3a4d18ccfff0", "invitedByName": "string", "resourceName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}/api/v1/invitations/{invitationId}Path Parameters
ID of the invitation
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/invitations/497f6eca-6276-4993-bfeb-53cbbbba6f08"nullcurl -X GET "https://example.com/api/v1/whats-new/seen"{ "lastSeenAt": "2019-08-24T14:15:22Z"}/api/v1/whats-new/seenRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/whats-new/seen" \ -H "Content-Type: application/json" \ -d '{}'{ "lastSeenAt": "2019-08-24T14:15:22Z"}/api/v1/workbooksQuery Parameters
Deprecated alias for scope=related
Value in
- "my"
Which slice of the accessible set to return
Value in
- "related"
- "all"
1-based page number
1 <= valueRows per page
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/api/v1/workbooks"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "metadata": { "property1": null, "property2": null }, "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "isUpgradable": true, "experimentCount": 0, "cellTypeCounts": { "property1": 0, "property2": 0 } }]/api/v1/workbooksRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/workbooks" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "cells": [ { "id": "string", "isCollapsed": false, "type": "protocol", "payload": { "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "version": 0, "name": "string" } } ], "metadata": { "property1": null, "property2": null }, "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "isUpgradable": true, "experimentCount": 0}curl -X GET "https://example.com/api/v1/workbooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "cells": [ { "id": "string", "isCollapsed": false, "type": "protocol", "payload": { "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "version": 0, "name": "string" } } ], "metadata": { "property1": null, "property2": null }, "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "isUpgradable": true, "experimentCount": 0, "capabilities": { "canContribute": true, "canUpdate": true, "canManage": true, "canShare": true, "canLeave": true, "canTransfer": true }}/api/v1/workbooks/{id}Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/workbooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "cells": [ { "id": "string", "isCollapsed": false, "type": "protocol", "payload": { "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "version": 0, "name": "string" } } ], "metadata": { "property1": null, "property2": null }, "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organizationName": "string", "visibility": "private", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "createdByName": "string", "forkedFrom": "3cd955ca-297d-4a34-9683-e3644d517064", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "isUpgradable": true, "experimentCount": 0}curl -X DELETE "https://example.com/api/v1/workbooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"null/api/v1/workbooks/{id}/visibilityPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/workbooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \ -H "Content-Type: application/json" \ -d '{ "visibility": "private" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "visibility": "private"}curl -X GET "https://example.com/api/v1/workbooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "version": 0, "createdAt": "2019-08-24T14:15:22Z", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e" }]/api/v1/workbooks/{id}/versions/{versionId}Path Parameters
uuiduuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/workbooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workbookId": "e672ad0a-540a-4be9-9b09-cd316e2c706c", "version": 0, "cells": [ { "id": "string", "isCollapsed": false, "type": "protocol", "payload": { "protocolId": "145fbbc7-5125-4cc4-be15-11cd04d84fa0", "version": 0, "name": "string" } } ], "metadata": { "property1": null, "property2": null }, "entitySnapshots": { "protocols": { "property1": { "code": null, "family": "multispeq" }, "property2": { "code": null, "family": "multispeq" } }, "macros": { "property1": { "code": "string" }, "property2": { "code": "string" } } }, "createdAt": "2019-08-24T14:15:22Z", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e"}